Subject: bug#19514: 25.0.50; byte-compile-file too tight-lipped

From: Paul Eggert <[email-masked]>
Date: Tue, 06 Jan 2015 23:04:04 -0800

Katsumi Yamaoka wrote:
> How about this?
>
> (defvar byte-compile-silent nil
>    "*If non-nil, byte-compiler issues no verbose message in the batch mode.")

That would be doable, but the value of doing it seems limited, as the caller of 
byte-compile-file can easily write the message itself.  This distinguishes it 
from byte-compile-verbose, which cannot be easily implemented by a wrapper.

Furthermore, the old behavior was not good.  First one saw the error messages 
from compiling FOO.  Then one saw the message saying that FOO was compiled. 
That's backwards and confusing.

So I'd prefer fixing dgnushack to generate better output.  Similarly for any 
other callers relying on the old "Wrote" message (my impression is that most 
callers won't care).